"""
Here are the headers that every .py in this folder should implement.
Each file is free to define its own set of config options that will be passed in AFTER the file is imported, under the name "config". It is generally assumed that this will be a dict, but there is no strict requirement, other than "it must be a valid json value".
The init() function will be called with no arguments after config is passed in.
the *token functions are about access tokens, as distinct from invite tokens.
The backend will also have access to utils.py, under the name utils and models.py under the name models.
"""
def init(): pass

def load_user(username): pass
def save_user(user): pass
def delete_user(user): pass

def load_token(tokenid): pass
def load_tokens(user): pass
def save_token(token): pass
def delete_token(token): pass

def load_invite(inviteid): pass
def load_invites(user): pass
def save_invite(token): pass
def delete_invite(token): pass